import { Type } from '@angular/core';
import { Widget } from './widget';
import { AudioVideoWidgetValue } from './widget-value/audio-video-widget-value';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
import { AudioComponent } from '../../../sculptor-lib/widgets/audio/audio.component';
export declare class AxAudio extends Widget {
    component: Type<AudioComponent>;
    value: string;
    helpText: string;
    mainType: string;
    indent: string;
    values: Array<AudioVideoWidgetValue>;
    name: string;
    constructor(field?: Widget);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    newAudio(): void;
    /**function to create Toggle object with existing values
   *
   *@param field
   *
   */
    audio(field: any): void;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
